%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		xfwm4
Version: 	4.12.4
Release:	%mkrel 1
Summary:	Window manager for Xfce desktop environment
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Patch1:		0001-Replace-deprecated-GTK-stock-icons.patch
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.8.0
BuildRequires:	pkgconfig(libxfce4ui-1) >= 4.8.0
BuildRequires:	pkgconfig(libwnck-1.0)
# Drop unmaintained ia_ora xfwm4 theme
Obsoletes:	ia_ora-xfce < 1.0.2-10

%description
The Xfce 4 window manager manages the placement of application
windows on the screen, provides beautiful window decorations,
manages workspaces or virtual desktops, and natively supports
multiscreen mode. It provides its own compositing manager (
from the Xorg Composite extension) for true transparency and shadows.
The Xfce 4 window manager includes a keyboard shorcuts editor for user
specific commands and basic windows manipulations, and it provides a
dialog for advanced tweaks.

%prep
%autosetup -p1 -S git_am

%build
%configure2_5x \
	--enable-compositor \
	--enable-xsync \
	--enable-render \
	--enable-randr \
	--enable-startup-notification \
	--disable-static
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc example.gtkrc-2.0 AUTHORS COMPOSITOR README TODO
%{_bindir}/xfwm4*
%dir %{_libdir}/xfce4/xfwm4/
%{_libdir}/xfce4/xfwm4/helper-dialog
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_iconsdir}/hicolor/*/actions/*
%{_datadir}/themes/*/xfwm4/
%{_datadir}/xfwm4/


%changelog
* Sat Mar 18 2017 wally <wally> 4.12.4-1.mga6
+ Revision: 1093517
- new version 4.12.4

* Wed Feb 17 2016 umeabot <umeabot> 4.12.3-2.mga6
+ Revision: 963605
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 wally <wally> 4.12.3-1.mga6
+ Revision: 836230
- new version 4.12.3

* Mon Mar 16 2015 wally <wally> 4.12.2-1.mga5
+ Revision: 818653
- new version 4.12.2

* Sun Mar 15 2015 tmb <tmb> 4.12.1-2.mga5
+ Revision: 818633
- rebuild for missing signatures

* Sun Mar 15 2015 wally <wally> 4.12.1-1.mga5
+ Revision: 818578
- new version 4.12.1

* Tue Mar 03 2015 wally <wally> 4.12.0-1.mga5
+ Revision: 817401
- new version 4.12.0

* Mon Feb 16 2015 wally <wally> 4.11.2-5.mga5
+ Revision: 815121
- add patch to fix usage of deprecated gtk stock icons

* Wed Oct 15 2014 umeabot <umeabot> 4.11.2-4.mga5
+ Revision: 739853
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.11.2-3.mga5
+ Revision: 690655
- Mageia 5 Mass Rebuild

* Thu Aug 14 2014 wally <wally> 4.11.2-2.mga5
+ Revision: 662484
- obsolete ia_ora-xfce
- drop oxygen remains from .spec

* Sat Jul 26 2014 wally <wally> 4.11.2-1.mga5
+ Revision: 656574
- new version 4.11.2
- drop patches from upstream

* Fri Apr 18 2014 wally <wally> 4.11.1-2.mga5
+ Revision: 616134
- add patch from upstream git to restore original window size after untiling (xfce#8765)

* Tue Feb 04 2014 wally <wally> 4.11.1-1.mga5
+ Revision: 581070
- new version 4.11.1

* Sat Oct 19 2013 umeabot <umeabot> 4.11.0-2.mga4
+ Revision: 536713
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 wally <wally> 4.11.0-1.mga4
+ Revision: 485365
- new version 4.11.0

* Thu May 23 2013 wally <wally> 4.10.1-1.mga4
+ Revision: 425071
- new version 4.10.1
- drop patches from upstream

* Mon Jan 14 2013 umeabot <umeabot> 4.10.0-5.mga3
+ Revision: 386962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 4.10.0-4.mga3
+ Revision: 338215
- fix file list after %%_libexecdir change

* Sat Nov 10 2012 wally <wally> 4.10.0-3.mga3
+ Revision: 316837
- add patches from upstream
  * fix duplicated accelerators (xfce#5256)
  * fix wrong debug message (xfce#7547)

* Sat Jul 21 2012 wally <wally> 4.10.0-2.mga3
+ Revision: 273063
- add patches from upstream git
  * implement NET_WM_MOVERESIZE_CANCEL message (xfce#8948)
  * fix crash in settings dialog with wrong title alignment value (xfce#9108)
  * fix active workspace deletion (xfce#8827)

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248500
- new version 4.10.0
- disable oxygen default theme for now
- clean .spec

* Tue Feb 14 2012 fwang <fwang> 4.8.3-2.mga2
+ Revision: 208839
- fix dir
- use oxygen as default theme

* Sat Jan 14 2012 kamil <kamil> 4.8.3-1.mga2
+ Revision: 195881
- new version 4.8.3
- clean spec

* Sun Nov 20 2011 wally <wally> 4.8.2-2.mga2
+ Revision: 170010
- clean BRs and use pkgconfg style if possible
- clean/fix files section

* Sat Sep 24 2011 wally <wally> 4.8.2-1.mga2
+ Revision: 147309
- new version 4.8.2

* Thu Feb 17 2011 ahmad <ahmad> 4.8.1-2.mga1
+ Revision: 53137
- drop old/unneeded scriptlets
- imported package xfwm4

